#include <bits/stdc++.h>

using namespace std;

#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) (long long)((x).size())
#define f first
#define s second
#define pb push_back

typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

void initial()
{
#ifdef PC
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w", stdout);
#endif
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}
ll n;
void solve()
{
    ll was = -1;
    vector <pair <ll, ll> > a(n);
    for (int j = 0; j < n; j++)
    {
        ll q;
        cin >> q;
        ll s;
        cin >> s;
        ll prev = -1;
        for (int i = 0; i < q; i++)
        {
            ll p;
            cin >> p;
            if (i == 0) a[j].f = p;
            if (i + 1 == q) a[j].s = s - p;
            if (prev != -1)
            {
                ll cnt = p - prev;
                if (was == -1)
                    was = cnt;
                if (was != cnt)
                {
                    cout << "No";
                    exit(0);
                }
            }
            prev = p;
        }
    }
    vector <ll> mas;
    for (int i = 0; i < n; i++)
        mas.pb(i);
    do{
        ll col = was;
        bool ok = true;
        for (int i = 1; i < sz(mas); i++)
        {
            if (col == -1)
                col = a[mas[i]].f + a[mas[i - 1]].s;
            if (col != a[mas[i]].f + a[mas[i - 1]].s)
            {
                ok = false;
                break;
            }
        }
        if (ok)
        {
            cout << "Yes\n";
            for (auto i : mas)
                cout << i + 1 << " ";
            exit(0);
        }
    }while(next_permutation(all(mas)));
    cout << "No\n";
    exit(0);
}
signed main() {
    initial();
    cin >> n;
    if (n <= 8)
        solve();
    return 0;
}