#include <iostream>

using namespace std;
typedef long long ll;
#define sz(x) (long long)((x).size())
ll dp[751][751][2];
ll mod = 1e9 + 7;
ll pl(ll a, ll b)
{
    return (a + b) % mod;
}
ll mn(long long a, long long b)
{
    return (a * b) % mod;
}
ll binpow(ll a, ll n)
{
    ll ret = 1;
    while (n)
    {
        if (n % 2)
            ret = mn(ret, a);
        a = mn(a, a);
        n /= 2;
    }
    return ret;
}
ll fact(ll n)
{
    ll ret = 1;
    for (int i = 2; i <= n; i++)
        ret = mn(ret, i);
    return ret;
}
ll dv(ll n, ll m)
{
    return mn(n, binpow(m, mod - 2));
}
ll C(ll n, ll k)
{
    return dv(dv(fact(n), fact(k)), fact(n - k));
}
ll col(ll a, ll b)
{
    return C(a + b - 1, b - 1);
}
int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
#ifdef PC
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w", stdout);
#endif
    string a, b, c;
    cin >> a >> b >> c;
    ll n = sz(a);
    ll nd = 0;
    ll gv = 0;
    ll ndgv = 0;
    for (int i = 0; i < n; i++)
    {
        ll kek = ((a[i] - '0') + (b[i] - '0'));
        if (kek % 10 == (c[i] - '0'))
        {
            if (kek >= 10)
                gv++;
        }
        else if ((kek + 1) % 10 == (c[i] - '0'))
        {
            if (kek + 1 >= 10)
                ndgv++;
            else
                nd++;
        } else{
            cout << 0;
            return 0;
        }
    }
    if (nd != gv)
    {
        cout << 0;
        return 0;
    }
    for (int i = 0; i < n; i++)
    {
        if (a[i] == '0' || b[i] == '0' || c[i] == '0') continue;
        ll kek = ((a[i] - '0') + (b[i] - '0'));
        if (kek >= 10) continue;
        if (kek + 1 == (c[i] - '0'))
            dp[0][nd - 1][1] = pl(dp[0][nd - 1][1], 1);
        else if (kek == (c[i] - '0'))
            dp[0][nd][0] = pl(dp[0][nd][0], 1);
    }
    n -= ndgv;
    for (int i = 0; i < n - 1; i++)
    {
        for (int j = 0; j <= nd; j++)
        {
            for (int t = 0; t < 2; t++) {
                ll &nw = dp[i][j][t];
                if (t == 1) {
                    dp[i + 1][j][0] = pl(dp[i + 1][j][0], mn(nw, j + 1));
                } else {
                    dp[i + 1][j][0] = pl(dp[i + 1][j][0],
                                            mn(nw, n - i - 1 - j * 2));
                    dp[i + 1][j - 1][1] = pl(dp[i + 1][j - 1][1],
                                                mn(nw, j));
                }
            }
        }
    }
    cout << mn(dp[n - 1][0][0], mn(fact(ndgv), col(ndgv, nd)));
    return 0;
}